get
https://app1.compliancely.com/api/v2/name/lookup/
Retrieve a paginated list of Name Lookup requests for the authenticated user.
- ID is the unique request UUID used with GET by ID.
- Status can be (
Pending,Processing,Completed,Error). - name_available (when completed) can be (
Yes,No,Partial).
Query parameters: page, page_size, search_query, order (asc or desc).
{
"success_message": "Total 1 record(s) found",
"pagination": {
"total_records": 1,
"count": 1,
"page_size": 10,
"total_pages": 1,
"current_page": 1,
"order": "desc",
"search_query": ""
},
"data": [
{
"id": "0199c0a1-2b3d-7e8f-9a0b-1c2d3e4f5a6b",
"status": "Completed",
"name_available": "Yes",
"business_name": "Acme Analytics",
"state": "california",
"webhook_urls": ["https://example.com/hooks/name-lookup"],
"created_at": "2026-08-18T10:16:14.123456Z",
"created_by": "[email protected]",
"records": [
{
"id": "0199c0a1-3c4d-7e8f-9a0b-1c2d3e4f5a6c",
"entity_name": "ACME ANALYTICS LLC",
"entity_number": "202412345678",
"status": "Active",
"state": "CA",
"match_percentage": 92
}
]
}
],
"success": true
}{
"errors": [
{
"code": "page",
"message": "Page must be a positive integer and greater than 0"
}
],
"data": null,
"success": false
}{
"detail": "Invalid token."
}{
"detail": "Authentication credentials were not provided."
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
